Bug 431779 - Mouse pointer vanishes when Gecko is loading a page, with DRI disabled
Mouse pointer vanishes when Gecko is loading a page, with DRI disabled
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-06 17:05 EST by Havoc Pennington
Modified: 2009-01-09 02:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:39:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 163047 None None None Never

  None (edit)
Description Havoc Pennington 2008-02-06 17:05:41 EST
Bug may be X or may be Firefox or something else, not sure.

I have two X servers running on two consoles; they are the same except the first
one has Option NoDRI set and reports no DRI from glxinfo.

On the first console, with DRI disabled, when Firefox or Epiphany is loading a
page the mouse pointer vanishes (when the pointer is over Gecko).

On the second console, with DRI enabled, the pointer is an animated busy-cursor
in the same situation.

I am not running a compositing manager in either case, just metacity.

Using the Intel drivers.
Comment 1 Matěj Cepl 2008-02-07 12:10:15 EST
Hi, Havoc, the standard request for information follows:

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-03-12 11:42:55 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Havoc Pennington 2008-03-12 12:24:20 EDT
Sorry, I haven't gotten around to shutting down all my stuff and logging out. Do
you have something specific you want to know from the logs or is it just a
boilerplate question for all possible X bugs?

FWIW, I really don't think anything in the conf files or logs is relevant. The
conf files are unmodified from what system-config-display spits out, other than
Option NoDRI in one of them. The video card is just normal Intel video.

If nobody else can reproduce then maybe we want to look at xorg.conf and logs to
see if I'm doing something messed up, but my guess is that this is not some
arcane situation that's hard to reproduce.

Here is the same thing for Ubuntu:

The page-load pointer is different because it uses animation, I think. That
would be what's broken (animated pointers).
Comment 4 Matěj Cepl 2008-03-12 17:17:58 EDT
Yes, it is a boiler-plate question I add whenever I feel like it might be
interesting to know details about the reporter's configuration and hardware (too
many bugs to hand-write scholarly articles for each individual bug).

OK, I won't argue with you and I will let ajax ask you whatever he wants.
Comment 5 Bug Zapper 2008-11-26 04:43:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-01-09 02:39:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.